nvme_identify_allocated_ns_list(2)

NAME
nvme_identify_allocated_ns_list - Retrieves allocated namespace id list

SYNOPSIS
int nvme_identify_allocated_ns_list (int fd , __u32 nsid , struct nvme_ns_list *list );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Return namespaces greater than this identifier

list
    User space destination address to transfer the data

DESCRIPTION
A list of 1024 namespace IDs is returned to the host containing NSIDs in increasing order that are greater than the value specified in the Namespace Identifier (nsid) field of the command.

See struct nvme_ns_list for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.